Bug 439254 - Xen hypervisor doesn't detect Penryn cpu_model correctly
Xen hypervisor doesn't detect Penryn cpu_model correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.2
All Linux
urgent Severity low
: rc
: ---
Assigned To: Geoff Gustafson
Martin Jenner
:
Depends On: 253056
Blocks: 245607
  Show dependency treegraph
 
Reported: 2008-03-27 14:34 EDT by Geoff Gustafson
Modified: 2008-05-21 11:12 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:12:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix to generic_identify to use extended model (653 bytes, patch)
2008-03-27 15:11 EDT, Geoff Gustafson
no flags Details | Diff

  None (edit)
Description Geoff Gustafson 2008-03-27 14:34:11 EDT
n the course of getting bz 253056 resolved, I just discovered that Penryn-class
CPUs show up as cpu model 7 in the Xen Hypervisor under RHEL5.2, rather than 23
like they should.

There is a small patch that will fix this, which I will port immediately. One
effect of the bug is that these new chips are treated like a Pentium 3 instead
of a Core 2 chip, for some purposes, such as oprofile.

I'm not sure of all the repercussions of that yet, but it's A Bad Thing (TM).

Here's the upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f5f786d0455c359c554b8f74783f887c0a2c9fac
Comment 1 Geoff Gustafson 2008-03-27 15:11:34 EDT
Created attachment 299379 [details]
fix to generic_identify to use extended model

About to test this patch, fix to generic_identify() function to use the
extended model field to calculate the correct cpu_model. It was actually being
done correctly in early_cpu_detect() already.
Comment 2 Bill Burns 2008-03-28 13:32:42 EDT
Add dependency.
Comment 3 Bill Burns 2008-03-28 14:15:56 EDT
Setting flags. This bz is closely related to bz 235056 which addresses the same
issue on bare metal, but neglected the equivalent Xen kernel changes. This is
deemed very low risk and needs to be considered for RHEL 5.2.
Comment 6 Don Zickus 2008-04-02 12:10:13 EDT
in kernel-2.6.18-88.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 Mike Gahagan 2008-05-06 16:05:09 EDT
Confirmed fix is in the -92.el5 kernel.
Comment 14 errata-xmlrpc 2008-05-21 11:12:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.